[arch-commits] Commit in xf86vidmodeproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:45:01 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:45:01
  Author: eric
Revision: 36398

Merged revisions 356,36397 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xf86vidmodeproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36397 | eric | 2009-04-21 21:44:44 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xf86vidmodeproto 2.2.2-2
      Added license
........

Modified:
  xf86vidmodeproto/repos/extra-x86_64/	(properties)
  xf86vidmodeproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: xf86vidmodeproto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xf86vidmodeproto/trunk:1
   + /xf86vidmodeproto/trunk:1-36397

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-22 01:44:44 UTC (rev 36397)
+++ extra-x86_64/PKGBUILD	2009-04-22 01:45:01 UTC (rev 36398)
@@ -3,17 +3,19 @@
 
 pkgname=xf86vidmodeproto
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Video Mode extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('f00844a63d6e76b69eb0eb5e41eed843')
 sha1sums=('4a228958879eb06206d13f4f09ec902f837fb8dd')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list